Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.presentations
Class AbstractPresentationFactory

    java.lang.Object
      org.eclipse.ui.presentations.AbstractPresentationFactory

Direct Known Subclasses:
  WorkbenchPresentationFactory

public abstract class AbstractPresentationFactory
extends Object

This is a factory for presentation objects that control the appearance of editors, views and other components in the workbench.

Since:
  3.0

Constructor Summary
`AbstractPresentationFactory()`

Method Summary
`abstract StackPresentation` | `createEditorPresentation(Composite parent, IStackPresentationSite site)` Creates an editor presentation for presenting editors.
`abstract StackPresentation` | `createStandaloneViewPresentation(Composite parent, IStackPresentationSite site, boolean showTitle)` EXPERIMENTAL Creates a standalone stack presentation for presenting a standalone view.
`Control` | `createStatusLineControl(IStatusLineManager statusLine, Composite parent)` Creates the control for the window's status line.
`IStatusLineManager` | `createStatusLineManager()` Creates the status line manager for the window.
`abstract StackPresentation` | `createViewPresentation(Composite parent, IStackPresentationSite site)` Creates a stack presentation for presenting regular docked views.
`String` | `getId()` Returns a globally unique identifier for this type of presentation factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPresentationFactory

    public AbstractPresentationFactory()

Method Detail

### createEditorPresentation

    public abstract StackPresentation createEditorPresentation(Composite parent,
                                                               IStackPresentationSite site)

  Creates an editor presentation for presenting editors.

  The presentation creates its controls under the given parent composite.

  Parameters:
    `parent` - the parent composite to use for the presentation's controls
    `site` - the site used for communication between the presentation and the workbench
  Returns:
    a newly created part presentation

### createViewPresentation

    public abstract StackPresentation createViewPresentation(Composite parent,
                                                             IStackPresentationSite site)

  Creates a stack presentation for presenting regular docked views.

  The presentation creates its controls under the given parent composite.

  Parameters:
    `parent` - the parent composite to use for the presentation's controls
    `site` - the site used for communication between the presentation and the workbench
  Returns:
    a newly created part presentation

### createStandaloneViewPresentation

    public abstract StackPresentation createStandaloneViewPresentation(Composite parent,
                                                                       IStackPresentationSite site,
                                                                       boolean showTitle)

  EXPERIMENTAL Creates a standalone stack presentation for presenting a standalone view. A standalone view cannot be docked together with other views. The title of a standalone view may be hidden.

  The presentation creates its controls under the given parent composite.

  Parameters:
    `parent` - the parent composite to use for the presentation's controls
    `site` - the site used for communication between the presentation and the workbench
    `showTitle` - `true` to show the title for the view, `false` to hide it
  Returns:
    a newly created part presentation

### createStatusLineManager

    public IStatusLineManager createStatusLineManager()

  Creates the status line manager for the window. Subclasses may override.

  Returns:
    the window's status line manager

### createStatusLineControl

    public Control createStatusLineControl(IStatusLineManager statusLine,
                                           Composite parent)

  Creates the control for the window's status line. Subclasses may override.

  Parameters:
    `statusLine` - the window's status line manager
    `parent` - the parent composite
  Returns:
    the window's status line control

### getId

    public String getId()

  Returns a globally unique identifier for this type of presentation factory. This is used to ensure that one presentation is not restored from mementos saved by a different presentation.

  Returns:
    a globally unique identifier for this type of presentation factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.